data:extend({
{
    type = "technology",
    name = "robot-tier-1",
    icon = "__base__/graphics/technology/construction-robotics.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "construction-robot-tier-1"
      },
	  {
        type = "unlock-recipe",
        recipe = "small-personal-roboport"
      }
    },
    prerequisites = {"electronics"},
    unit =
    {
      count = 10,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 10
    },
    order = "a-d-c",
  },
  
  
  
  {
    type = "technology",
    name = "robot-tier-2",
    icon = "__base__/graphics/technology/construction-robotics.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "construction-robot-tier-2"
      },
	  {
        type = "unlock-recipe",
        recipe = "small-personal-roboport-2"
      },

    },
    prerequisites = {"advanced-electronics"}, {"construction-robot-tier-1"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "a-d-d",
  },
  
  
  
  {
    type = "technology",
    name = "robot-tier-3",
    icon = "__base__/graphics/technology/construction-robotics.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "construction-robot-tier-3"
      },

    },
    prerequisites = {"speed-module-2"}, {"construction-robot-tier-2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1}
      },
      time = 30
    },
    order = "a-d-e",
  },
  
  
  
   {
    type = "technology",
    name = "small-fusion-reactor",
    icon = "__base__/graphics/technology/fusion-reactor-equipment.png",
    prerequisites = {"electronics"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "small-fusion-reactor"
		  }
    },
    unit =
    {
      count = 15,
      ingredients = {{"science-pack-1", 1}},
      time = 10
    }
      },
    
	
	
	
	{
    type = "technology",
    name = "basic-power-armor",
    icon = "__base__/graphics/technology/armor-making.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "very-basic-modular-armor"
      }
    },
    prerequisites = {"armor-making"},
    unit =
    {
      count = 10,
      ingredients = {{"science-pack-1", 2}, {"science-pack-2", 1}},
      time = 10
    },
    order = "g-a-d"
  },
  
  
  
  {
    type = "technology",
    name = "advanced-exoskeleton",
    icon = "__base__/graphics/technology/basic-exoskeleton-equipment.png",
    prerequisites = {"robot-tier-2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1},
      },
      time = 25
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "advanced-exoskeleton"
      },

    },
    order = "c-f"
  },
  
  {
  type = "technology",
    name = "small-battery",
    icon = "__base__/graphics/technology/battery.png",
    prerequisites = {"electronics"},
    unit =
    {
      count = 10,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 10
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "small-battery"
      },
	  {
        type = "unlock-recipe",
        recipe = "basic-exoskeleton-feet"
      }
    },
    order = "b-d"
	},

	
	
	
	{
    type = "technology",
    name = "automated-construction",
    icon = "__base__/graphics/technology/automated-construction.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "blueprint"
      },
      {
        type = "unlock-recipe",
        recipe = "deconstruction-planner"
      },
      {
        type = "ghost-time-to-live",
        modifier = 60 * 60 * 5
      }
    },
    prerequisites = {"robot-tier-1"},
    unit =
    {
      count = 20,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 10
    },
    order = "c-k-c",
  },
  
  
  
  
  
  
    {
    type = "technology",
    name="crafting-speed-1",
    icon = "__RobotsRule__/graphics/crafting-speed.png",
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 10
    },
    order="c-k-f-a",
  },
  {
    type = "technology",
    name="crafting-speed-2",
    icon = "__RobotsRule__/graphics/crafting-speed.png",
    prerequisites = {"crafting-speed-1"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 10
    },
    order="c-k-f-b",
	upgrade = "true",
  },
  {
    type = "technology",
    name="crafting-speed-3",
    icon = "__RobotsRule__/graphics/crafting-speed.png",
    prerequisites = {"crafting-speed-2"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 20
    },
    order="c-k-f-c",
	upgrade = "true",
  },
  {
    type = "technology",
    name="crafting-speed-4",
    icon = "__RobotsRule__/graphics/crafting-speed.png",
    prerequisites = {"crafting-speed-3"},
    unit =
    {
      count = 400,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order="c-k-f-d",
	upgrade = "true",
  }
  
 
  
  })